Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Reservation Payments
  • Introduction
  • Anonym Customers
    • create
      POST
    • update
      PATCH
  • Calendars
    • calendar
      GET
  • Customer Types
    • index
      GET
  • Customers
    • create
      POST
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • history
      GET
    • in blacklist
      PATCH
    • index
      POST
    • out blacklist
      PATCH
    • reports
      GET
    • reservations
      POST
    • search
      GET
    • sitting search
      POST
  • Daily Notes
    • daily note
      POST
    • show
      GET
  • Dashboard
    • daily report
      GET
    • summary report
      GET
    • weekly report
      GET
  • Events
    • create
    • index
    • destroy
    • update
  • Health Checks
    • live
  • Off Days
    • calendar
    • create
    • index
    • destroy
    • Update
  • Organizations
    • add_favorite
    • index
    • add_favorite
  • Reasons
    • index
  • References
    • create
    • index
    • show
    • update
  • Reports
    • mobile reports
    • web reports
  • Reservation Notifications
    • create
    • sms
  • Reservation Payments
    • change-status
      PATCH
    • create
      POST
    • update
      PATCH
    • reactivate
      PATCH
  • Reservation Requests
    • approve
    • count
    • create
    • history
    • index
    • reject
    • update
  • Reservations
    • batch check out
    • cancel
    • check duplicate
    • check in
    • check out
    • confirm
    • create
    • index
    • delay
    • delayed calendars
    • group by day
    • history
    • rollback
    • show
    • undo check in
    • upcoming reservations
    • update
    • view list
  • Revenue Centers
    • create
    • index
    • destroy
    • show
    • update
    • insert
  • Reviews
    • index
    • show
  • Search
    • Customers
    • Reservations
    • Integration
  • Slots
    • capacities
    • create
    • index
    • destroy
    • update
  • Stores
    • add favorite
    • remove favorite
    • index
    • show
    • update
  • Table Plan Objects
    • create
    • index
    • destroy
    • update
    • objects
  • Tables
    • assign
    • available-capacities
    • available-for-assign
    • discharge
    • index
    • layout
    • next-reservations
    • reservations
    • reset
    • revoke
    • rollback
    • save
    • sitting-reservations
    • split
    • status
  • Tags
    • index
  • Users
    • create
    • index
    • current-user
    • destroy
    • show
    • update
    • user-check
  • Extensions
    • index
  • License
    • index
    • store_license
  • Wallets
    • create
    • destroy
    • index
    • set_default
  1. Reservation Payments

create

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
POST
/api/v1/reservation-payments

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
API Key
Add parameter in header
EMPLOYEE_TOKEN
Example:
EMPLOYEE_TOKEN: ********************
API Key
Add parameter in header
STORE_PIN_CODE
Example:
STORE_PIN_CODE: ********************
API Key
Add parameter in header
SLUG_NAME
Example:
SLUG_NAME: ********************
or
Body Params application/json

Examples

Responses

🟢201Created
successful
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.checkandplace.com/api/v1/reservation-payments' \
--header 'Authorization: <api-key>' \
--header 'EMPLOYEE_TOKEN: <api-key>' \
--header 'STORE_PIN_CODE: <api-key>' \
--header 'SLUG_NAME: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "amount": 0,
    "currency": "TRY",
    "phone_number": "string",
    "email": "string",
    "send_email": false,
    "send_sms": true,
    "sms_content": "string",
    "note": "string",
    "expiration_time": 4320,
    "language": "TR"
}'
Modified at 2026-03-09 18:33:58
Previous
change-status
Next
update
Built with